<template>
  <v-btn :prepend-icon="icon" variant="plain" class="mx-2">
    <template v-slot:prepend>
      <v-icon :color="color"></v-icon>
    </template>
    <slot name="text">{{text}}</slot>
  </v-btn>
</template>

<script setup>
import {useStore} from "@/store/store";
import {useAttrs} from "vue";

const s = useStore()
const props = defineProps(['icon', 'color', 'text'])
const attrs = useAttrs()

</script>

<style scoped lang="scss">
@use "src/styles/vars" as *;
</style>
